Subject: Re: Git User's Survey 2008 partial summary, part 4 - how do we use Git

From: Jakub Narebski <[email-masked]>
Date: Sun, 7 Sep 2008 10:44:29 +0200

Andreas Ericsson wrote:
> Jakub Narebski wrote:
>> 
>> Analysis: strangely "git add + git commit" is slightly more used than
>> "git commit -a"; I would suspect that "git commit -a" would dominate a
>> bit over other forms of committing.
> 
> I believe people have finally gotten to grasp with the index. Besides,
> those answers are probably a bit skewed, as people that use git as just
> a faster and better cvs/svn aren't likely to be those who answer the
> survey.

From "Git User's Survey 2008 partial summary, part 3" subthread:
Message-Id: <[email-masked]>

>> 10. Rate your own proficiency with Git
>>
>> Here again the distribution is almost perfectly symmetric.  Most
>> people say that they are proficient with Git enough for everyday use
>> (44%), slightly more (23%) can offer advice than selected 'casual,
>> needs advice', while slightly more (7%) thinks themself novices than
>> people who think that know Git very well (4%).
>>
>> For this survey it seems to imply that results would not be biased
>> (skewed) by people who know Git well to very well.

So it doesn't seem that answers are skewed much...

-- 
Jakub Narebski
Poland